Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.logging.log4j.jul
Class CoreLogger

    java.lang.Object
      java.util.logging.Logger
          org.apache.logging.log4j.jul.ApiLogger
              org.apache.logging.log4j.jul.CoreLogger

    public class CoreLogger

extends ApiLogger

Log4j Core implementation of the JUL `Logger` class. Note that this implementation does not use the `Handler` class. Instead, logging is delegated to the underlying Log4j `Logger` which uses `Appenders` instead.

Since:
  2.1

Field Summary

Fields inherited from class java.util.logging.Logger
`global, GLOBAL_LOGGER_NAME`

Method Summary
`Logger` | `getParent()`
`boolean` | `getUseParentHandlers()` Indicates if the underlying `Logger` is additive.
`void` | `setLevel(Level level)`
`void` | `setUseParentHandlers(boolean additive)` Marks the underlying `Logger` as additive.

Methods inherited from class org.apache.logging.log4j.jul.ApiLogger
`config, doSetLevel, entering, entering, entering, exiting, exiting, fine, finer, finest, getName, info, isLoggable, log, log, log, log, log, logp, logp, logp, logp, logrb, logrb, logrb, logrb, setParent, severe, throwing, warning`

Methods inherited from class java.util.logging.Logger
`addHandler, getAnonymousLogger, getAnonymousLogger, getFilter, getHandlers, getLevel, getLogger, getLogger, getResourceBundle, getResourceBundleName, removeHandler, setFilter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### setLevel

    public void setLevel(Level level)
                  throws SecurityException

  Overrides:
    `setLevel` in class `ApiLogger`
  Throws:
    `SecurityException`

### setUseParentHandlers

    public void setUseParentHandlers(boolean additive)

  Marks the underlying `Logger` as additive.

  Overrides:
    `setUseParentHandlers` in class `Logger`
  Parameters:
    `additive` - `true` if this Logger should be additive
  See Also:
    `Logger.setAdditive(boolean)`

### getUseParentHandlers

    public boolean getUseParentHandlers()

  Indicates if the underlying `Logger` is additive. Note that the Log4j version of JDK Loggers do not use Handlers.

  Overrides:
    `getUseParentHandlers` in class `Logger`
  Returns:
    `true` if this Logger is additive, or `false` otherwise
  See Also:
    `Logger.isAdditive()`

### getParent

    public Logger getParent()

  Overrides:
    `getParent` in class `Logger`

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2015 Apache Software Foundation. All Rights Reserved.
Apache Logging, Apache Log4j, Log4j, Apache, the Apache feather logo, the Apache Logging project logo, and the Apache Log4j logo are trademarks of The Apache Software Foundation.